fakechecked: using () definitions
    
    fakecheckedintf: callmessage (
        p: predefined!program
      )
    constant(p)
    exit { full, checked(p) }
    minimum { full(p) };
    
    fakecheckedQ: inport of fakecheckedintf {full};
    fakecheckedFn: outport of fakecheckedQ;
    
  end definitions

